<script setup>

import { provide } from '@vue/runtime-core'
import {ref} from "vue"
import { RouterLink, RouterView } from 'vue-router'
import HelloWorld from './components/HelloWorld.vue'
import TabAVue from './components/TabA.vue'
import TabBVue from './components/TabB.vue'
import TabCVue from './components/TabC.vue'

provide({
  username:'Abdul'
});

const data=ref({
  tab:"TabA"
})
</script>

<template >
  <!-- <header>
    <div class="wrapper">
      <nav class="navbar">
        <RouterLink to="/">Home</RouterLink>
        <RouterLink to="/about">About</RouterLink>
        <RouterLink to="/example">Example</RouterLink>
      </nav>
    </div>
  </header> -->

  <h2>Main App</h2>
  <button @click="data.tab='TabA'">Tab A</button>
  <button @click="data.tab='TabB'">Tab B</button>
  <button @click="data.tab='TabC'">Tab C</button>

  <!-- <component :is="data.tab"/> -->

  <TabAVue v-if="data.tab==='TabA'" />
  <TabBVue v-if="data.tab==='TabB'" />
  <TabCVue  v-if="data.tab==='TabC'"/>



  <!-- <RouterView /> -->
</template>

<style scoped>
/* header {
  line-height: 1.5;
  max-height: 100vh;
}
.navbar{
  display: flex;
  flex-direction: row;
}

.logo {
  display: block;
  margin: 0 auto 2rem;
}

nav {
  width: 100%;
  font-size: 12px;
  text-align: center;
  margin-top: 2rem;
}

nav a.router-link-exact-active {
  color: var(--color-text);
}

nav a.router-link-exact-active:hover {
  background-color: transparent;
}

nav a {
  display: inline-block;
  padding: 0 1rem;
  border-left: 1px solid var(--color-border);
}

nav a:first-of-type {
  border: 0;
}

@media (min-width: 1024px) {
  header {
    display: flex;
    place-items: center;
    padding-right: calc(var(--section-gap) / 2);
  }

  .logo {
    margin: 0 2rem 0 0;
  }

  header .wrapper {
    display: flex;
    place-items: flex-start;
    flex-wrap: wrap;
  }

  nav {
    text-align: left;
    margin-left: -1rem;
    font-size: 1rem;

    padding: 1rem 0;
    margin-top: 1rem;
  } */
/* } */
</style>
